VIPS(1)

NAME
vips - run vips operations from the command line

SYNOPSIS
vips [options] [command] [command-options] [command-args]

DESCRIPTION
vips(1) is the VIPS universal main program. You can use it to run any VIPS operation from the command line, to query the VIPS class hierarchy, and to maintain parts of the VIPS library.

To run a VIPS operation, the first argument should be the name of the operation and following arguments should be the operation arguments. For example:

  $ vips invert lena.v lena2.v

OPTIONS

-l BASE-NAME, --list=BASE-NAME
    List operations below BASE-NAME. This prints a one-line summary of every operation in vips below the class BASE-NAME, where BASE-NAME may be a full vips class name, or a nickname.

    If BASE-NAME is not supplied, this will list all classes below VipsOperation.

-p PLUGIN, --plugin=PLUGIN
    Load PLUGIN. Note that plugins in $VIPSHOME/lib/vips-plugins-MAJOR.MINOR are loaded automatically.

-v, --version
    Show VIPS version.

COMMANDS

operation-name operation-arguments
    Execute a named operation, for example add.

EXAMPLES

Run a vips8 operation. Operation options must follow the operation name.

  $ vips insert lena.v lena2.v out.v 0 0 --background "128 0 0"

Get a "usage" message for an operation.

  $ vips insert
  insert image @sub into @main at @x, @y
  usage:
     insert main sub out x y
  where:
     main - Main input image, input VipsImage
     sub - Sub-image to insert into main image, input VipsImage
     out - Output image, output VipsImage
     x - Left edge of sub in main, input gint
              default: 0
              min: -100000000, max: 100000000
     y - Top edge of sub in main, input gint
              default: 0
              min: -100000000, max: 100000000
  optional arguments:
     expand - Expand output to hold all of both inputs, input gboolean
              default: false
     background - Colour for new pixels, input VipsArrayDouble
  operation flags: sequential

List all draw operations.

  $ vips -l draw
    VipsDraw (draw), draw operations
      VipsDrawink (drawink), draw with ink operations
        VipsDrawRect (draw_rect), paint a rectangle on an image
        VipsDrawMask (draw_mask), draw a mask on an image
        VipsDrawLine (draw_line), draw a line on an image
        VipsDrawCircle (draw_circle), draw a circle on an image
        VipsDrawFlood (draw_flood), flood-fill an area
      VipsDrawImage (draw_image), paint an image into another image
      VipsDrawSmudge (draw_smudge), blur a rectangle on an image

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
vipsheader(1)

COPYRIGHT
The National Gallery and Birkbeck College, 1989-1996.